NSRNDMP_RECOVER(8)

NAME
nsrndmp_recover - use NetWorker and Network Data Management Protocol(NDMP) to recover data

SYNOPSIS
nsrndmp_recover [ -c client ] [ -s server ] { -r raw device -S ssid -m mount point | -F }

DESCRIPTION

nsrndmp_recover is used to coordinate recover operations with NetWorker and a Network Data Management Protocol(NDMP) system. Only the super-user may run this command. There are two ways to recover data: destructive recovers and file-level recovers. Destructive recovers occur when a raw partition is specifed by the -r option along with a save set id (-S) option. Only a single save set can be specified at a time since the target raw device pathname must be specified. Users may opt to use the administrative user interface, nwadmin(8), to perform the destructive recover operation through the save set recover window. Users can determine save set ids using the user interfaces or the mminfo(8) command. File level recovers are specified by the -F option in conjunction with the use of the nwrecover(8) or recover(8) commands. Users should not specify this option.

The status of a recover can be monitored using the X Window System-based nwadmin(8) program or the curses(3X) based nsrwatch(8) program for other terminal types. Only volume information is available at this time. The amount of data that has been recovered is not provided.

nsrndmp_recover is not responsible for moving data on the NDMP system. All such activity is handled by the NDMP system. nsrndmp_recover receives messages from the NDMP system and processes them appropriately. Such messages could request a new tape be mounted or to post a log message. Refer to the NDMP specification and documentation available at www.ndmp.org for more details.

In order to recover data for another system, make sure the user performing the nsrndmp_recover operation is on the remote access attribute list of the client resource. See nsr_client(5).

OPTIONS

-c client
    Client is the name of the machine that saved the files.

-F  Specifies that a file-level recovery is going to be performed. This option should only be specified by nwrecover(8) or recover(8).

-m mount point
    The mount point of the raw device specified by the -r option. The filesystem will be unmounted for the recover operation and mounted after the operation is complete.

-r raw device
    This option specifies the pathname of the raw device the data is to be recovered to. You must use this option for destructive recovers.

-s server
    This option selects which NetWorker server to use.

-S ssid
    This mandatory option is used to specify save set recover mode. This mode can be used to implement fast batch file recovery without requiring the NetWorker file index entries. ssid specifies the save set id for the save set to be recovered. NDMP-generated save sets cannot be cloned, so no cloneid applies as it does for the standard recover(8) command.

DIAGNOSTICS

Skipping file due to incomplete save set: /core
    The user has marked a file that is associated with an incomplete save set. The user should run nsrim -X to resynchronize the file index and media database.

SEE ALSO
nsr_client(5), nsrndmp_save(8), recover(8), nwrecover(8)